Subject: [Ips] AD review of draft-ietf-ips-iscsi-nodearch-key-02

From: Lars Eggert <[email-masked]>
Date: Mon, 16 Oct 2006 10:28:25 +0900

Section 1.2., paragraph 3:
 >    The key is sent during operational parameter negotiation of an  
iSCSI
 >    session's login phase.  The intended use of this key is to provide
 >    enhanced logging and support capabilities, and to enable  
collection
 >    of iSCSI implementation and usage information.  Functional  
behavior
 >    of the iSCSI node (this includes the iSCSI protocol logic -- the
 >    SCSI, iSCSI, and TCP/IP protocols) MUST NOT depend on the  
presence,
 >    absence, or content of the key.  The key MUST NOT be used by iSCSI
 >    nodes for interoperability, or exclusion of other nodes.  To  
ensure
 >    proper use, key values SHOULD be set by the node itself, and there
 >    SHOULD NOT be provisions for the key values to contain user- 
defined
 >    text.

   Suggest to move the text starting with "Functional behavior..." to
   Section 3 (Overview is not the place for this.)

   Finally - why is this going for Informational and not PS? PS seems
   appropriate.

Lars
-- 
Lars Eggert                                     NEC Network Laboratories

_______________________________________________
Ips mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ips

---

From: Lars Eggert <[email-masked]>
Date: Mon, 16 Oct 2006 10:40:55 +0900

>   Finally - why is this going for Informational and not PS? PS seems

To be precise, I saw David's note on this from the document writeup  
("This document is being published as Informational because RFC 3720  
indicates that this class of key specification should be published as  
informational.")

It's unfortunate that 3720 doesn't also allow publication at  
Standards Track; I wonder what the rationale for this was.  
Intuitively, this should be OK, because Standards Track publication  
has a higher bar.

If the WG decides to go for Informational because of 3720, I'm OK  
with it. It may make sense to add a short note to the introduction  
explaining this.

Lars

---

From: Dave W <[email-masked]>
Date: Sun, 15 Oct 2006 20:00:43 -0700 (PDT)

>    Section 3 (Overview is not the place for this.)
Agreed - thanks for the suggestion.  Fits nicely as the first paragraph of Section 3.

>    Finally - why is this going for Informational and not PS? PS seems
I defer to the chair and other 3720 authors on this one.

---

From: Julian Satran <[email-masked]>
Date: Mon, 16 Oct 2006 10:04:01 +0200

Lars,

Yes we wanted new keys to be publicly documented without requiring authors 
to go to a strict review (that might be hard to get in several years).
In retrospect we should have said "at least informational" although there 
is (at least in theory) an ordering between RFC "classes".

Julo

Lars Eggert <[email-masked]> 
16/10/06 03:40

To
[email-masked]
cc

Subject
Re: [Ips] AD review of draft-ietf-ips-iscsi-nodearch-key-02

Lars

---

From: [email-masked]
Date: Mon, 16 Oct 2006 10:45:01 -0400

Julian and Lars,
 
We could get clever here.  The crucial language in RFC 3720 says:
 
	For IANA registered keys the string following X# must be
registered
	with IANA and the use of the key MUST be described by an
informational RFC.

and there's similar language for Y# digest formats and Z# authentication
methods.

Given the level of review this draft has received (not only on the list,
but also in Montreal, I put crucial pieces of this draft's text on the
projector for word-by-word review), I don't think there would be any
problem with this draft becoming a proposed standard RFC, and it could
then update RFC 3720 to change "informational RFC" to "informational,
experimental or standards track RFC" in all three places.

I would want to issue a WG Last Call on these changes (publish
nodearch-key as proposed, standard, update RFC 3720 to allow
experimental
and standards-track RFCs for X# keys, Y# digests, and Z# authentication
methods), so that there is an adequate opportunity for anyone to object.

Comments?

Thanks,
--David (ips WG chair)
----------------------------------------------------
David L. Black, Senior Technologist
EMC Corporation, 176 South St., Hopkinton, MA  01748
+1 (508) 293-7953             FAX: +1 (508) 293-7786
[email-masked]        Mobile: +1 (978) 394-7754
----------------------------------------------------

________________________________

	From: Julian Satran [mailto:[email-masked]] 
	Sent: Monday, October 16, 2006 4:04 AM
	To: Lars Eggert
	Cc: [email-masked]
	Subject: Re: [Ips] AD review of
draft-ietf-ips-iscsi-nodearch-key-02

	Lars, 
	
	Yes we wanted new keys to be publicly documented without
requiring authors to go to a strict review (that might be hard to get in
several years). 
	In retrospect we should have said "at least informational"
although there is (at least in theory) an ordering between RFC
"classes". 
	
	Julo 

	16/10/06 03:40 

		To
		[email-masked] 
		cc
		
		Subject
		Re: [Ips] AD review of
draft-ietf-ips-iscsi-nodearch-key-02

	>   Finally - why is this going for Informational and not PS? PS
seems
	
	To be precise, I saw David's note on this from the document
writeup  
	("This document is being published as Informational because RFC
3720  
	indicates that this class of key specification should be
published as  
	informational.")
	
	It's unfortunate that 3720 doesn't also allow publication at  
	Standards Track; I wonder what the rationale for this was.  
	Intuitively, this should be OK, because Standards Track
publication  
	has a higher bar.
	
	If the WG decides to go for Informational because of 3720, I'm
OK  
	with it. It may make sense to add a short note to the
introduction  
	explaining this.
	
	Lars
	-- 
	Lars Eggert                                     NEC Network
Laboratories

---

From: Lars Eggert <[email-masked]>
Date: Tue, 17 Oct 2006 00:12:26 +0900

Works for me - this would really only be correcting a small oversight  
in 3270.

Lars

---

From: Julian Satran <[email-masked]>
Date: Mon, 16 Oct 2006 17:21:55 +0200

works for me - julo

[email-masked] 
16/10/06 16:45

To
Julian Satran/Haifa/IBM@IBMIL, <[email-masked]>
cc
<[email-masked]>
Subject
RE: [Ips] AD review of draft-ietf-ips-iscsi-nodearch-key-02

Julian and Lars,

Comments?

Thanks,
--David (ips WG chair)

                 Lars, 
 
                 Yes we wanted new keys to be publicly documented without
requiring authors to go to a strict review (that might be hard to get in
several years). 
                 In retrospect we should have said "at least 
informational"
although there is (at least in theory) an ordering between RFC
"classes". 
 
                 Julo 

                 16/10/06 03:40 

                                 To
                                 [email-masked] 
                                 cc
 
                                 Subject
                                 Re: [Ips] AD review of

                 On Oct 16, 2006, at 10:28, Lars Eggert wrote:
                 >   Finally - why is this going for Informational and not 
PS? PS
seems
                 >   appropriate.
 
                 To be precise, I saw David's note on this from the 
document
writeup 
                 ("This document is being published as Informational 
because RFC
3720 
                 indicates that this class of key specification should be
published as 
                 informational.")
 
                 It's unfortunate that 3720 doesn't also allow publication 
at 
                 Standards Track; I wonder what the rationale for this 
was. 
                 Intuitively, this should be OK, because Standards Track
publication 
                 has a higher bar.
 
                 If the WG decides to go for Informational because of 
3720, I'm
OK 
                 with it. It may make sense to add a short note to the
introduction 
                 explaining this.
 
                 Lars
                 -- 
                 Lars Eggert                                     NEC 
Network
Laboratories